package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrTurndown;

/**
 * PSSR驳回原因Mapper接口
 * 
 * @author ssy
 * @date 2024-11-25
 */
public interface TPssrTurndownMapper 
{
    /**
     * 查询PSSR驳回原因
     * 
     * @param id PSSR驳回原因ID
     * @return PSSR驳回原因
     */
    public TPssrTurndown selectTPssrTurndownById(Long id);
    public int selectNoConfirmCount(Long subId);
    public String selectTPssrTurndownByItem(TPssrTurndown tPssrTurndown);

    /**
     * 查询PSSR驳回原因列表
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return PSSR驳回原因集合
     */
    
    public List<TPssrTurndown> selectTPssrTurndownList(TPssrTurndown tPssrTurndown);

    /**
     * 新增PSSR驳回原因
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return 结果
     */
    public int insertTPssrTurndown(TPssrTurndown tPssrTurndown);

    /**
     * 修改PSSR驳回原因
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return 结果
     */
    public int updateTPssrTurndown(TPssrTurndown tPssrTurndown);

    /**
     * 删除PSSR驳回原因
     * 
     * @param id PSSR驳回原因ID
     * @return 结果
     */
    public int deleteTPssrTurndownById(Long id);

    /**
     * 批量删除PSSR驳回原因
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrTurndownByIds(Long[] ids);
}
